Bug 13440 - net ads join crashes on error in DoDNSUpdate
net ads join crashes on error in DoDNSUpdate
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.8.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-17 09:53 UTC by Andreas Schneider
Modified: 2018-06-05 12:02 UTC (History)
4 users (show)

See Also:


Attachments
patch for 4.8 (906 bytes, patch)
2018-05-22 09:49 UTC, Andreas Schneider
vl: review+
gd: review+
Details
patch for 4.7 (906 bytes, patch)
2018-05-22 09:50 UTC, Andreas Schneider
vl: review+
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2018-05-17 09:53:15 UTC
net ads join crashes on error in DoDNSUpdate().

Patch will follow.
Comment 1 Andreas Schneider 2018-05-22 09:49:23 UTC
Created attachment 14211 [details]
patch for 4.8
Comment 2 Andreas Schneider 2018-05-22 09:50:30 UTC
Created attachment 14212 [details]
patch for 4.7
Comment 3 Guenther Deschner 2018-05-22 09:58:16 UTC
Karolin, please add to 4.7 and 4.8. Thanks.
Comment 4 Karolin Seeger 2018-06-04 06:58:14 UTC
(In reply to Guenther Deschner from comment #3)
Pushed to autobuild-v4-[7,8]-test.
Comment 5 Karolin Seeger 2018-06-05 12:02:05 UTC
Pushed to both branches.
Closing out bug report.

Thanks!